// Decompiled by DJ v3.11.11.95 Copyright 2009 Atanas Neshkov  Date: 13/07/2009 23:13:22
// Home Page: http://members.fortunecity.com/neshkov/dj.html  http://www.neshkov.com/dj.html - Check often for new version!
// Decompiler options: packimports(3) 
// Source File Name:   AltingChannelInputInt.java

package jcsp.lang;


// Referenced classes of package jcsp.lang:
//            Guard, ChannelInputInt

public abstract class AltingChannelInputInt extends Guard
    implements ChannelInputInt
{

    public AltingChannelInputInt()
    {
    }

    public abstract boolean pending();

    public abstract int read();
}
